# Maximum loadability with flexible generator participation fixed
function _run_mld_discrete_load(file, model_constructor, solver; kwargs...)
    return _PM.run_model(file, model_constructor, solver, _build_mld_discrete_load; kwargs...)
end

function _build_mld_discrete_load(pm::_PM.AbstractPowerModel)
    variable_bus_voltage_indicator(pm)
    variable_bus_voltage_on_off(pm)

    _PM.variable_generation_indicator(pm)
    _PM.variable_generation_on_off(pm)

    _PM.variable_storage(pm)

    _PM.variable_branch_flow(pm)
    _PM.variable_dcline_flow(pm)

    _PM.variable_demand_factor(pm)
    _PM.variable_shunt_factor(pm)


    objective_max_loadability(pm)


    for i in _PM.ids(pm, :ref_buses)
        _PM.constraint_theta_ref(pm, i)
    end
    constraint_bus_voltage_on_off(pm)

    for i in _PM.ids(pm, :gen)
        _PM.constraint_generation_on_off(pm, i)
    end

    for i in _PM.ids(pm, :bus)
        constraint_power_balance_shed(pm, i)
    end

    for i in _PM.ids(pm, :branch)
        _PM.constraint_ohms_yt_from(pm, i)
        _PM.constraint_ohms_yt_to(pm, i)

        _PM.constraint_voltage_angle_difference(pm, i)

        _PM.constraint_thermal_limit_from(pm, i)
        _PM.constraint_thermal_limit_to(pm, i)
    end

    for i in _PM.ids(pm, :dcline)
        _PM.constraint_dcline(pm, i)
    end
end
